Geoswift Platform
  1. Quotation
  • Overview
  • Authentication
  • Settlement in ChinaMainland
    • Get Account Balance
      • Get Account
      • Get Account Balance
    • Transaction Declaration Filing
      • Submit Transaction Declarations (Batch)
      • Query Declaration Processing Result
      • File Download
    • Declaration Quota Query
      • Declaration Quota Query
    • Quotation
      • Inquiry Quotation
        POST
      • Confirm Quotation
        POST
      • Inquiry Quotation Detail
        GET
    • Create a Transaction
      • Create a Transaction
    • Transaction Query
      • Transaction Query-payment summary
    • Specification
      • Bank List
      • Province/City Code
  • About Us
  1. Quotation

Confirm Quotation

Developing
POST
/api/v1/quotes/{quoteId}/confirm
Use this call to confirm the FX quotation.

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
  "requestId": "202012141734008",
  "requestTime": "2020-12-14T08:39:30.743Z",
  "quoteId": "4b9c6983-cc35-44a9-91ab-a2c09371a6e6"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.geoaccount.com/api/v1/quotes//confirm' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxx' \
--header 'GS-API-Key: gs_live_abc123def456789' \
--header 'GS-Timestamp: 1710000000' \
--header 'GS-Nonce: 9f8e7d6c5b4a3210' \
--header 'GS-Signature: dGhpcyBpcyBhIGZha2Ugc2lnbmF0dXJlCg==' \
--header 'Idempotency-Key: a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8' \
--header 'Content-Type: application/json' \
--data-raw '{
  "requestId": "202012141734008",
  "requestTime": "2020-12-14T08:39:30.743Z",
  "quoteId": "4b9c6983-cc35-44a9-91ab-a2c09371a6e6"
}'

Responses

🟢200Success
application/json
Body

Example
{
  "requestId": "202012141734008",
  "responseTime": "2020-12-14T08:39:41.743Z",
  "quoteId": "3099fb87-2c24-4243-a18a-7cc22d8d1e5d",
  "status": "SUCCESS"
}
Modified at 2026-03-30 03:30:34
Previous
Inquiry Quotation
Next
Inquiry Quotation Detail
Built with